# petsc4py.PETSc.LGMap.GLMapMode

class petsc4py.PETSc.LGMap.GLMapMode

  Bases: `object`

  Enum describing mapping behavior when global indices are missing.

  MASK

    Give missing global indices a local index of -1.

  DROP

    Drop missing global indices.

  See also

  `ISGlobalToLocalMappingMode`

  Attributes Summary

  `DROP` | Constant `DROP` of type `int`
  `MASK` | Constant `MASK` of type `int`

  Attributes Documentation

  DROP: int = DROP

    Constant `DROP` of type `int`

  MASK: int = MASK

    Constant `MASK` of type `int`